io.etcd.jetcd.api

## Class AuthRoleRevokePermissionRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>
      - - io.etcd.jetcd.api.AuthRoleRevokePermissionRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, AuthRoleRevokePermissionRequestOrBuilder, Cloneable

Enclosing class:
  AuthRoleRevokePermissionRequest

    public static final class AuthRoleRevokePermissionRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>
    implements AuthRoleRevokePermissionRequestOrBuilder

Protobuf type `etcdserverpb.AuthRoleRevokePermissionRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AuthRoleRevokePermissionRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthRoleRevokePermissionRequest` `build()`
`AuthRoleRevokePermissionRequest` `buildPartial()`
`AuthRoleRevokePermissionRequest.Builder` `clear()`
`AuthRoleRevokePermissionRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`AuthRoleRevokePermissionRequest.Builder` `clearKey()` `string key = 2;`
`AuthRoleRevokePermissionRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`AuthRoleRevokePermissionRequest.Builder` `clearRangeEnd()` `string range_end = 3;`
`AuthRoleRevokePermissionRequest.Builder` `clearRole()` `string role = 1;`
`AuthRoleRevokePermissionRequest.Builder` `clone()`
`AuthRoleRevokePermissionRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getKey()` `string key = 2;`
`com.google.protobuf.ByteString` `getKeyBytes()` `string key = 2;`
`String` `getRangeEnd()` `string range_end = 3;`
`com.google.protobuf.ByteString` `getRangeEndBytes()` `string range_end = 3;`
`String` `getRole()` `string role = 1;`
`com.google.protobuf.ByteString` `getRoleBytes()` `string role = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`AuthRoleRevokePermissionRequest.Builder` `mergeFrom(AuthRoleRevokePermissionRequest other)`
`AuthRoleRevokePermissionRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`AuthRoleRevokePermissionRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`AuthRoleRevokePermissionRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AuthRoleRevokePermissionRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthRoleRevokePermissionRequest.Builder` `setKey(String value)` `string key = 2;`
`AuthRoleRevokePermissionRequest.Builder` `setKeyBytes(com.google.protobuf.ByteString value)` `string key = 2;`
`AuthRoleRevokePermissionRequest.Builder` `setRangeEnd(String value)` `string range_end = 3;`
`AuthRoleRevokePermissionRequest.Builder` `setRangeEndBytes(com.google.protobuf.ByteString value)` `string range_end = 3;`
`AuthRoleRevokePermissionRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`AuthRoleRevokePermissionRequest.Builder` `setRole(String value)` `string role = 1;`
`AuthRoleRevokePermissionRequest.Builder` `setRoleBytes(com.google.protobuf.ByteString value)` `string role = 1;`
`AuthRoleRevokePermissionRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### clear

    public AuthRoleRevokePermissionRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### getDefaultInstanceForType

    public AuthRoleRevokePermissionRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public AuthRoleRevokePermissionRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public AuthRoleRevokePermissionRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public AuthRoleRevokePermissionRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### setField

    public AuthRoleRevokePermissionRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### clearField

    public AuthRoleRevokePermissionRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### clearOneof

    public AuthRoleRevokePermissionRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### setRepeatedField

    public AuthRoleRevokePermissionRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    int index,
                                                                    Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### addRepeatedField

    public AuthRoleRevokePermissionRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### mergeFrom

    public AuthRoleRevokePermissionRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### mergeFrom

    public AuthRoleRevokePermissionRequest.Builder mergeFrom(AuthRoleRevokePermissionRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### mergeFrom

    public AuthRoleRevokePermissionRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthRoleRevokePermissionRequest.Builder>`
Throws:
  `IOException`

#### getRole

    public String getRole()

`string role = 1;`

Specified by:
  `getRole` in interface `AuthRoleRevokePermissionRequestOrBuilder`
Returns:
  The role.

#### getRoleBytes

    public com.google.protobuf.ByteString getRoleBytes()

`string role = 1;`

Specified by:
  `getRoleBytes` in interface `AuthRoleRevokePermissionRequestOrBuilder`
Returns:
  The bytes for role.

#### setRole

    public AuthRoleRevokePermissionRequest.Builder setRole(String value)

`string role = 1;`

Parameters:
  `value` - The role to set.
Returns:
  This builder for chaining.

#### clearRole

    public AuthRoleRevokePermissionRequest.Builder clearRole()

`string role = 1;`

Returns:
  This builder for chaining.

#### setRoleBytes

    public AuthRoleRevokePermissionRequest.Builder setRoleBytes(com.google.protobuf.ByteString value)

`string role = 1;`

Parameters:
  `value` - The bytes for role to set.
Returns:
  This builder for chaining.

#### getKey

    public String getKey()

`string key = 2;`

Specified by:
  `getKey` in interface `AuthRoleRevokePermissionRequestOrBuilder`
Returns:
  The key.

#### getKeyBytes

    public com.google.protobuf.ByteString getKeyBytes()

`string key = 2;`

Specified by:
  `getKeyBytes` in interface `AuthRoleRevokePermissionRequestOrBuilder`
Returns:
  The bytes for key.

#### setKey

    public AuthRoleRevokePermissionRequest.Builder setKey(String value)

`string key = 2;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public AuthRoleRevokePermissionRequest.Builder clearKey()

`string key = 2;`

Returns:
  This builder for chaining.

#### setKeyBytes

    public AuthRoleRevokePermissionRequest.Builder setKeyBytes(com.google.protobuf.ByteString value)

`string key = 2;`

Parameters:
  `value` - The bytes for key to set.
Returns:
  This builder for chaining.

#### getRangeEnd

    public String getRangeEnd()

`string range_end = 3;`

Specified by:
  `getRangeEnd` in interface `AuthRoleRevokePermissionRequestOrBuilder`
Returns:
  The rangeEnd.

#### getRangeEndBytes

    public com.google.protobuf.ByteString getRangeEndBytes()

`string range_end = 3;`

Specified by:
  `getRangeEndBytes` in interface `AuthRoleRevokePermissionRequestOrBuilder`
Returns:
  The bytes for rangeEnd.

#### setRangeEnd

    public AuthRoleRevokePermissionRequest.Builder setRangeEnd(String value)

`string range_end = 3;`

Parameters:
  `value` - The rangeEnd to set.
Returns:
  This builder for chaining.

#### clearRangeEnd

    public AuthRoleRevokePermissionRequest.Builder clearRangeEnd()

`string range_end = 3;`

Returns:
  This builder for chaining.

#### setRangeEndBytes

    public AuthRoleRevokePermissionRequest.Builder setRangeEndBytes(com.google.protobuf.ByteString value)

`string range_end = 3;`

Parameters:
  `value` - The bytes for rangeEnd to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final AuthRoleRevokePermissionRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`

#### mergeUnknownFields

    public final AuthRoleRevokePermissionRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthRoleRevokePermissionRequest.Builder>`